import React, { Component } from 'react'
import { MuiThemeProvider, createMuiTheme } from 'material-ui/styles'
import Reboot from 'material-ui/Reboot'
import Base from './Base'

class App extends Component {
    componentDidCatch(error, info) {
        console.log(error)
        console.log(info)
    }

    render() {
        const theme = createMuiTheme({
            html: {
                fontSize: '62.5%'
            },
            palette: {
                primary: { 
                    main: '#0288d1'
                },
            },
            typography: {
                fontSize: 12
            }
        })

        return (
            <MuiThemeProvider theme={theme}>
                <Reboot />
                <Base />
            </MuiThemeProvider>
        )
    }
}

export default App;